<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 03/27/2004 *
 * ===============                              Last change: 04/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : admin.php                                        *
 * -------------------------------------------------------------------- *
 * Short description : Administration area                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Administrationsbereich                           *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action;
$GLOBALS['what'] = "";
$GLOBALS['action'] = "";

// Set module
$GLOBALS['module'] = "admin";
$CSS = -1;

// Load the required file(s)
require("inc/config.php");

// Is the script installed?
if (isBooleanConstantAndTrue('mxchange_installed')) {
	// Simply redirect... :-)
	LOAD_URL("modules.php?module=admin");
} else {
	// You have to install first!
	LOAD_URL("install.php");
}

// Really all done here... ;-)
?>
