<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/25/2003 *
 * ===============                              Last change: 04/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : install.php                                      *
 * -------------------------------------------------------------------- *
 *                                                                      *
 *          ------------------------------------------------            *
 *         / PLEASE READ THIS!  /  BITTE LESEN SIE DIESES! /            *
 *        -------------------------------------------------             *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Short description : Installation script. Please delete this file     *
 *           after successfully installation or ANYONE can re-setup     *
 *           your mail exchange script!!!                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Installationsscript. Bitte loeschen Sie diese    *
 *           Datei nach der fertiggestellten Installation oder JEDER    *
 *           kann Ihr Mailtausch-Script neu einstellen!!!               *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Tell every module / include file we are installing
define('mxchange_installing', true);

// Load security system
require("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action;
$GLOBALS['what']   = "";
$GLOBALS['action'] = "";

// Set CSS variable for "normal mode"
$CSS = 0;

// Set module
$GLOBALS['module'] = "install";

// Load config file
require("inc/config.php");

// Header
LOAD_INC("inc/header.php");

// Reload page to page=welcome when it is not specified
if (!isset($_GET['page'])) {
	LOAD_URL("install.php?page=welcome");
} // END - if

// Already installed?
if ((isBooleanConstantAndTrue('mxchange_installed')) && (isBooleanConstantAndTrue('admin_registered'))) {
	// Add fatal message
	addFatalMessage(ALREADY_INSTALLED);
} // END - if

// Does something goes wrong?
if (getTotalFatalErrors() == 0) {
	// Add main installation table
	LOAD_TEMPLATE("install_header");

	// Here start's our installtion stuff
	LOAD_INC_ONCE("inc/install-inc.php");

	// Close main installation table
	LOAD_TEMPLATE("install_footer");
}

// Footer
LOAD_INC("inc/footer.php");

//
?>
